Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.visitor
Class BaseVisitor

    java.lang.Object
      org.apache.velocity.runtime.visitor.BaseVisitor

All Implemented Interfaces:
  ParserVisitor

Direct Known Subclasses:
  NodeViewMode

public abstract class BaseVisitor
extends Object
implements ParserVisitor

This is the base class for all visitors. For each AST node, this class will provide a bare-bones method for traversal.

Version:
  $Id: BaseVisitor.java 747106 2009-02-23 19:25:14Z nbubna $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Field Summary
`protected InternalContextAdapter` | `context` Context used during traversal
`protected Writer` | `writer` Writer used as the output sink

Constructor Summary
`BaseVisitor()`

Method Summary
`void` | `setContext(InternalContextAdapter context)`
`void` | `setWriter(Writer writer)`
`Object` | `visit(ASTAddNode node, Object data)`
`Object` | `visit(ASTAndNode node, Object data)`
`Object` | `visit(ASTAssignment node, Object data)`
`Object` | `visit(ASTBlock node, Object data)`
`Object` | `visit(ASTComment node, Object data)`
`Object` | `visit(ASTDirective node, Object data)`
`Object` | `visit(ASTDivNode node, Object data)`
`Object` | `visit(ASTElseIfStatement node, Object data)`
`Object` | `visit(ASTElseStatement node, Object data)`
`Object` | `visit(ASTEQNode node, Object data)`
`Object` | `visit(ASTEscapedDirective node, Object data)`
`Object` | `visit(ASTEscape node, Object data)`
`Object` | `visit(ASTExpression node, Object data)`
`Object` | `visit(ASTFalse node, Object data)`
`Object` | `visit(ASTFloatingPointLiteral node, Object data)`
`Object` | `visit(ASTGENode node, Object data)`
`Object` | `visit(ASTGTNode node, Object data)`
`Object` | `visit(ASTIdentifier node, Object data)`
`Object` | `visit(ASTIfStatement node, Object data)`
`Object` | `visit(ASTIntegerLiteral node, Object data)`
`Object` | `visit(ASTIntegerRange node, Object data)`
`Object` | `visit(ASTLENode node, Object data)`
`Object` | `visit(ASTLTNode node, Object data)`
`Object` | `visit(ASTMap node, Object data)`
`Object` | `visit(ASTMethod node, Object data)`
`Object` | `visit(ASTModNode node, Object data)`
`Object` | `visit(ASTMulNode node, Object data)`
`Object` | `visit(ASTNENode node, Object data)`
`Object` | `visit(ASTNotNode node, Object data)`
`Object` | `visit(ASTObjectArray node, Object data)`
`Object` | `visit(ASTOrNode node, Object data)`
`Object` | `visit(ASTprocess node, Object data)`
`Object` | `visit(ASTReference node, Object data)`
`Object` | `visit(ASTSetDirective node, Object data)`
`Object` | `visit(ASTStringLiteral node, Object data)`
`Object` | `visit(ASTSubtractNode node, Object data)`
`Object` | `visit(ASTText node, Object data)`
`Object` | `visit(ASTTrue node, Object data)`
`Object` | `visit(ASTWord node, Object data)`
`Object` | `visit(SimpleNode node, Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected InternalContextAdapter context

  Context used during traversal

### writer

    protected Writer writer

  Writer used as the output sink

Constructor Detail

### BaseVisitor

    public BaseVisitor()

Method Detail

### setWriter

    public void setWriter(Writer writer)

  Parameters:
    `writer` -

### setContext

    public void setContext(InternalContextAdapter context)

  Parameters:
    `context` -

### visit

    public Object visit(SimpleNode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.SimpleNode, java.lang.Object)`

### visit

    public Object visit(ASTprocess node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTprocess, java.lang.Object)`

### visit

    public Object visit(ASTExpression node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTExpression, java.lang.Object)`

### visit

    public Object visit(ASTAssignment node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTAssignment, java.lang.Object)`

### visit

    public Object visit(ASTOrNode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTOrNode, java.lang.Object)`

### visit

    public Object visit(ASTAndNode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTAndNode, java.lang.Object)`

### visit

    public Object visit(ASTEQNode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTEQNode, java.lang.Object)`

### visit

    public Object visit(ASTNENode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTNENode, java.lang.Object)`

### visit

    public Object visit(ASTLTNode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTLTNode, java.lang.Object)`

### visit

    public Object visit(ASTGTNode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTGTNode, java.lang.Object)`

### visit

    public Object visit(ASTLENode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTLENode, java.lang.Object)`

### visit

    public Object visit(ASTGENode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTGENode, java.lang.Object)`

### visit

    public Object visit(ASTAddNode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTAddNode, java.lang.Object)`

### visit

    public Object visit(ASTSubtractNode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTSubtractNode, java.lang.Object)`

### visit

    public Object visit(ASTMulNode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTMulNode, java.lang.Object)`

### visit

    public Object visit(ASTDivNode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTDivNode, java.lang.Object)`

### visit

    public Object visit(ASTModNode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTModNode, java.lang.Object)`

### visit

    public Object visit(ASTNotNode node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTNotNode, java.lang.Object)`

### visit

    public Object visit(ASTIntegerLiteral node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTIntegerLiteral, java.lang.Object)`

### visit

    public Object visit(ASTFloatingPointLiteral node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  Since:
    1.5
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTFloatingPointLiteral, java.lang.Object)`

### visit

    public Object visit(ASTStringLiteral node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTStringLiteral, java.lang.Object)`

### visit

    public Object visit(ASTIdentifier node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTIdentifier, java.lang.Object)`

### visit

    public Object visit(ASTMethod node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTMethod, java.lang.Object)`

### visit

    public Object visit(ASTReference node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTReference, java.lang.Object)`

### visit

    public Object visit(ASTTrue node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTTrue, java.lang.Object)`

### visit

    public Object visit(ASTFalse node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTFalse, java.lang.Object)`

### visit

    public Object visit(ASTBlock node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTBlock, java.lang.Object)`

### visit

    public Object visit(ASTText node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTText, java.lang.Object)`

### visit

    public Object visit(ASTIfStatement node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTIfStatement, java.lang.Object)`

### visit

    public Object visit(ASTElseStatement node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTElseStatement, java.lang.Object)`

### visit

    public Object visit(ASTElseIfStatement node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTElseIfStatement, java.lang.Object)`

### visit

    public Object visit(ASTComment node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTComment, java.lang.Object)`

### visit

    public Object visit(ASTObjectArray node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTObjectArray, java.lang.Object)`

### visit

    public Object visit(ASTWord node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTWord, java.lang.Object)`

### visit

    public Object visit(ASTSetDirective node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTSetDirective, java.lang.Object)`

### visit

    public Object visit(ASTDirective node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTDirective, java.lang.Object)`

### visit

    public Object visit(ASTEscapedDirective node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  Since:
    1.5
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTEscapedDirective, java.lang.Object)`

### visit

    public Object visit(ASTEscape node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  Since:
    1.5
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTEscape, java.lang.Object)`

### visit

    public Object visit(ASTMap node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  Since:
    1.5
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTMap, java.lang.Object)`

### visit

    public Object visit(ASTIntegerRange node,
                        Object data)

  Specified by:
    `visit` in interface `ParserVisitor`
  Parameters:
    `node` -
    `data` -
  Returns:
    The object rendered by this node.
  Since:
    1.5
  See Also:
    `ParserVisitor.visit(org.apache.velocity.runtime.parser.node.ASTIntegerRange, java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.